{% extends 'base.html' %} {% block pagination %}
<div class="pagination">
  <span class="step-links">
    {% if page_obj.has_previous %}
    <a href="?page=1">&laquo; first</a>
    <a href="?page={{ page_obj.previous_page_number }}">previous</a>
    {% endif %}

    <span class="current">
      Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
    </span>

    {% if page_obj.has_next %}
    <a href="?page={{ page_obj.next_page_number }}">next</a>
    <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
    {% endif %}
  </span>
</div>
<div><a href={% url "meal_plans_new" %}>create</a></div>
{% endblock pagination %}


{% block content %}
<main class="recipe-grid">
  {% for banana in mealplan_list %}
  {% comment %} meal_plan: variable defined by the for loop {% endcomment %}
  {% comment %} mealplan_list : refers to the name of the model {% endcomment %}
  {% comment %} we changed the default name in the ListView class (see views.py) - reversed this back to DEFAULT name{% endcomment %}
  <div class="recipe-card">
    <h2 class="recipe-card-title">
      <a href="{% url 'meal_plans_detail' banana.pk %}"
      {% comment %} meal_plans_detail: name assigned to the url path {% endcomment %}
        >{{ banana.name }}</a>
    </h2>
      <p>
        {% for recipe in banana.recipes.all %}
        <p><a href="{% url "recipe_detail" recipe.pk %}">
        {{ recipe.name }}</a></p>
        {% endfor %}
      </p>
  </div>
  {% endfor %}

</main>

{% endblock content %}
